Permalink
Fetching contributors…
Cannot retrieve contributors at this time
42 lines (39 sloc) 758 Bytes
sudo: false
language: ruby
before_install:
- gem install bundler
notifications:
email:
- john.crepezzi@gmail.com
- andrew@avit.ca
branches:
only:
- master
rvm:
- 1.9.3
- 2.0
- 2.1.10
- 2.2.6
- 2.3.3
- 2.4.0
- ruby-head
env:
- RAILS_VERSION='~> 3.2'
- RAILS_VERSION='~> 4.2'
- RAILS_VERSION='~> 5.0'
matrix:
exclude:
# Rails 5 only runs on ruby 2.3 and up
- rvm: 1.9.3
env: RAILS_VERSION='~> 5.0'
- rvm: 2.0
env: RAILS_VERSION='~> 5.0'
- rvm: 2.1.10
env: RAILS_VERSION='~> 5.0'
- rvm: 2.2.6
env: RAILS_VERSION='~> 5.0'
# Rails 3 no longer runs on ruby 2.4 and up
- rvm: 2.4.0
env: RAILS_VERSION='~> 3.2'
- rvm: ruby-head
env: RAILS_VERSION='~> 3.2'